VRPlatformVRPlatform
Partner

/partner/embed-sessions

Create a one-time embedded-session bootstrap URL for a partner user.

Required scope: embedded-sessions:issue

POST
/partner/embed-sessions
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

autoProvision?boolean

Create the embedded user and team membership on first use instead of failing when they do not exist.

Request Body

application/json

bundles*array<string>
Items1 <= items
sub*string
Length1 <= length
teamId*string

The team to bind the embedded session to.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
viewPath*string

Relative reports or statements URL to open in the embedded application.

Match^\/(reports|statements)(?:[/?]|$)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/partner/embed-sessions" \  -H "Content-Type: application/json" \  -d '{    "bundles": [      "embed:exports:v1"    ],    "sub": "string",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "viewPath": "string"  }'
{
  "embedUrl": "http://example.com",
  "expiresAt": "string",
  "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}